#ifndef DS3231_H
#define	DS3231_H
//------------------------------------------------------------------------------
#include <xc.h> 
#include "Time_functions.h"
#include "I2C.h"
//------------------------------------------------------------------------------
#define WR 0
#define RD 1
//------------------------------------------------------------------------------
void rtc_setDateTime(char time[])
{
  I2C_start();
  
  I2C_write(0xD0);
  I2C_write(WR);
  I2C_write(get_BCDTime(time[0]));  //Set sec
  I2C_write(get_BCDTime(time[1]));  //Set min 
  I2C_write(get_BCDTime(time[2]));  //Set hour
  I2C_write(get_BCDTime(time[3]));  //Set week day (1-7)
  I2C_write(get_BCDTime(time[4]));  //Set month day (1-31)
  I2C_write(get_BCDTime(time[5]));  //Set month (1-12)
  I2C_write(get_BCDTime(time[6]));  //Set year
  
  I2C_stop();
}
//------------------------------------------------------------------------------
void rtc_getDateTime(char time[])
{
   I2C_start();
   
   I2C_write(0xD0); 
   I2C_write(WR);    
   I2C_restart();
   I2C_write(0xD1);                              //Initialize data reception  
   time[0] = get_DecTime(I2C_read(ACK));         //get Secs 
   time[1] = get_DecTime(I2C_read(ACK));         //get Mins
   time[2] = get_DecTime(I2C_read(ACK));         //get Hours
   time[3] = get_DecTime(I2C_read(ACK));         //Get Week day
   time[4] = get_DecTime(I2C_read(ACK));         //Get Month day
   time[5] = get_DecTime(I2C_read(ACK));         //Get Month   
   time[6] = get_DecTime(I2C_read(NACK));        //Get year & Signal the end of reception
   
   I2C_stop();
}
//------------------------------------------------------------------------------
#endif