#ifndef TIME_H
#define	TIME_H
//------------------------------------------------------------------------------
#include <xc.h> 
#include <stdio.h>
//-----------------------Change BCD time to Decimal-----------------------------
char get_DecTime( unsigned char time )
{   
  return ((time >> 4) * 10) + (time & 0x0F);  
}
//-----------------------Change Decimal time to BCD-----------------------------
char get_BCDTime( unsigned char time )
{
  return ((time / 10) << 4) + (time % 10);
}
//------------------------------------------------------------------------------
char* get_fullTimeStr( char tm[] )
{
  char time[8];
  
  sprintf(time,"%02d:%02d:%02d",tm[2],tm[1],tm[0]); 
  
  return time; 
}
//--------------------------Week Day--------------------------------------------
char* get_wDayStr( unsigned char day )
{
  char * wDay;
  
  switch(day)
  {
    case 1:  wDay = "Sun"; break;
    case 2:  wDay = "Mon"; break;
    case 3:  wDay = "Tue"; break;
    case 4:  wDay = "Wed"; break;
    case 5:  wDay = "Thu"; break;
    case 6:  wDay = "Fri"; break;
    case 7:  wDay = "Sat"; break;
    default: wDay = "???";           
  }
  
  return wDay;
}
//------------------------------------------------------------------------------
char* get_MonthStr( unsigned char noMonth )
{
  char * month;
  
  switch(noMonth)
  {
    case  1:  month = "Jan";   break;
    case  2:  month = "Feb";   break;
    case  3:  month = "March"; break;
    case  4:  month = "April"; break;
    case  5:  month = "May";   break;
    case  6:  month = "June";  break;
    case  7:  month = "July";  break;
    case  8:  month = "Aug";   break;
    case  9:  month = "Sept";  break;
    case 10:  month = "Oct";   break;
    case 11:  month = "Nov";   break;
    case 12:  month = "Dec";   break;
    default:  month = "???";           
  }
  
  return month;
}
//------------------------------------------------------------------------------
char* get_fullDateStr( char tm[] )
{
  char time[15];
  
  sprintf(time,"%s, %02d %s 20%d",get_wDayStr(tm[3]),tm[4],get_MonthStr(tm[5]),tm[6]); 
  
  return time; 
}
//------------------------------------------------------------------------------
#endif